<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header bg-danger">
          <i class="fa fa-align-justify"></i> {{TITLE}}
        </div>
        <div class="card-body">
          <div class="m-3">
            <form (submit)="save()" [formGroup]="formByPass">
              <div class="container">
                <div class="row">
                  <div class="col-5">
                    <div class="container">
                      <div class="row">
                        <div class="col-12">
                          <app-catalog-data-hub-company (notification)="changeEventCompany($event)"
                                                        [companySelectedQuery]="0"></app-catalog-data-hub-company>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-12">
                          <app-catalog-data-hub-table-in (notification)="changeEventTableIn($event)"
                                                         [companySelectedId]="companySelected.comId"
                                                         [tableInSelectedQuery]="0"></app-catalog-data-hub-table-in>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-12">
                          <div class="form-group">
                            <app-catalog-data-hub-field-in (notification)="changeEventFieldIn($event)"
                                                           [fieldInSelectedQuery]="0"
                                                           [tableInSelectedId]="tableInSelected.tableInId"></app-catalog-data-hub-field-in>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-2">
                    <div class="row justify-content-center mt-5 pt-5">
                      <button class="btn btn-link" (click)="addItem()" type="button"><i aria-hidden="true" class="fa fa-arrow-right"
                                                                    style="font-size: 75px; padding-right: 0px !important;"></i>
                      </button>
                      <span>AGREGAR</span>
                    </div>
                  </div>
                  <div class="col-5">
                    <div class="container">
                      <div class="row">
                        <div class="col-12">
                          <app-catalog-data-hub-model (notification)="changeEventModel($event)"
                                                      [modelSelectedQuery]="0"></app-catalog-data-hub-model>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-12">
                          <app-catalog-data-hub-table-out (notification)="changeEventTableOut($event)"
                                                          [modelSelectedId]="modelSelected.modId"
                                                          [tableOutSelectedQuery]="0"></app-catalog-data-hub-table-out>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-12">
                          <app-catalog-data-hub-field-out (notification)="changeEventFieldOut($event)"
                                                          [fieldOutSelectedQuery]="0"
                                                          [tableOutSelectedId]="tableOutSelected.tableOutId"></app-catalog-data-hub-field-out>
                        </div>
                      </div>

                    </div>
                  </div>
                </div>
                <div class="row justify-content-center">
                  <div class="col-10 mt-3">
                    <app-mapping-config-by-pass-fields-cart
                      (deleteElementEmit)="deleteElementByPass($event)"
                      [elements]="byPassElements"></app-mapping-config-by-pass-fields-cart>
                  </div>
                </div>
                <div class="row mt-3 justify-content-around">
                  <div class="col-4">
                    <button (click)="save()" [disabled]="byPassElements.length === 0" class="btn btn-primary btn-block"
                            type="button">
                      <i aria-hidden="true" class="fa fa-save"></i>Save
                    </button>
                  </div>
                  <div class="col-4">
                    <button (click)="cancel()" class="btn btn-danger btn-block" type="button">
                      <i aria-hidden="true" class="fa fa-close"></i>Cancel
                    </button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>





